!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_1381) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_2066) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_2067) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_2064) = -ca*cb**2d0*cima*vev2
      coupl(nGC_2065) = cima*sa*sb**2d0*vev1
      coupl(nGC_2062) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_2063) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                         - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_2061) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                        *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*&
                        l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1&
                         - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*  &
                        vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_2068) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**&
                        2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1&
                         + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb&
                        **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_2069) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_2248) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_2249) = -2d0*cima*ee**2d0/sw
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_313) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0 &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb*cima&
                       *ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 - cima*ee**2d0*sa*sb**2d0* &
                       vev2/(2d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_2390) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_2391) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                        vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2392) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_2393) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2395) = cb*cima*sa**2d0*sb
      coupl(nGC_2396) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2397) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2398) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_1477) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_303) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/  &
                       2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**  &
                       2d0*sb*vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2&
                       /(2d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev1/(2d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev2/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0&
                        + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*&
                       cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0* &
                       vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*  &
                       cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0* &
                       cima*l5*sa*vev2/2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw&
                       **2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1  &
                        - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l4*&
                       sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
      coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*&
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*&
                       vev2/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb &
                       **2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*&
                       ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev1/(2d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*  &
                       vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima* &
                       ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb** &
                       2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0  &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima&
                       *ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0* &
                       vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_1708) = 4d0*cima*ee**2d0
      coupl(nGC_1874) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1875) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1876) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*&
                        sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*&
                        l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_1877) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1706) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1871) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_1872) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1873) = cb**2d0*cima*sa*vev1
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1978) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1904) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1905) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1450) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1451) = -ca*cb*cima*sa*sb
      coupl(nGC_1456) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1457) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_1454) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1455) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5&
                        *sa + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                        )
      coupl(nGC_1458) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1459) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1908) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_581) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2231) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_2230) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1806) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_2237) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1298) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1299) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1295) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1296) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1297) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_893) = -coupl(nGC_353)
      coupl(nGC_891) = -coupl(nGC_172)
      coupl(nGC_897) = -coupl(nGC_173)
      coupl(nGC_895) = -2d0*coupl(nGC_217)
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_2126) = -cima*ee
      coupl(nGC_2125) = -sqrt(2d0)*cb/2d0
      coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_2239) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_2238) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_2347) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb* &
                       cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/ &
                       2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa* &
                       vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb* &
                       cima*l3*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0* &
                       sw**2d0) - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**&
                       2d0*vev2/2d0
      coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*   &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0* &
                       cima*l5*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**  &
                       2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*&
                       ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0*sa*sb** &
                       2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb**2d0*vev2 + cima*&
                       ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca&
                       *cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*  &
                       vev1 + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2&
                        - cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 -  &
                       cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0 &
                       ) - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2&
                       *sa*sb**2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw &
                       **2d0)
      coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/  &
                       2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0&
                        - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_1821) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_2349) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_517) = -cb**2d0*cima*sa*vev2
      coupl(nGC_2348) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_539) = cima*sa*sb**2d0*vev1
      coupl(nGC_515) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*&
                       sb*vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb* &
                       l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1840) = -2d0*cima*ee/sw
      coupl(nGC_533) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_1842) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_535) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_1844) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_537) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1846) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1609) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1608) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1958) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1481) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1952) = -cb*cima
      coupl(nGC_1483) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1931) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_1930) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1933) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1932) = sqrt(2d0)*sb/2d0
      coupl(nGC_1935) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1934) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1936) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1485) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa -  &
                        ca*cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa &
                         - ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb** &
                        2d0 - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1484) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_1955) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw)
      coupl(nGC_1486) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1593) = -cb*cima*sa*sb*vev1
      coupl(nGC_1592) = -ca*cb*cima*sb*vev2
      coupl(nGC_1591) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1590) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4* &
                        sa - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_1597) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1596) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0* &
                        ca*cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0&
                        *vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb** &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
      coupl(nGC_1595) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1594) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1336) = ca*cima*sa*sb**2d0
      coupl(nGC_1335) = -ca*cb**2d0*cima*sa
      coupl(nGC_1334) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1333) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1332) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1331) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1330) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_883) = -coupl(nGC_344)
      coupl(nGC_885) = -2d0*coupl(nGC_215)
      coupl(nGC_887) = -coupl(nGC_377)
      coupl(nGC_1338) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_2138) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_2139) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2136) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_2000) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_2001) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                         - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_2002) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_2003) = -cima*sa*sb**2d0*vev2
      coupl(nGC_2004) = -ca*cb**2d0*cima*vev1
      coupl(nGC_2005) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_2006) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_2007) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb &
                        **2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*  &
                        vev2 + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3* &
                        sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*  &
                        vev1)
      coupl(nGC_2008) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa&
                        *vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_2228) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_2229) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_2220) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_2222) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2223) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_2224) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_2225) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_2226) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/  &
                       2d0 - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*sw)
      coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
      coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw** &
                       2d0) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima&
                       *ee**2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0&
                       *cw**2d0)
      coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
      coupl(nGC_189) = -cima*ee**2d0/sw**2d0
      coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0* &
                       sw)
      coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
      coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
      coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
      coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_1841) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_1843) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1610) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_1612) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1613) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1614) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_615) = cima*gs
      coupl(nGC_1845) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1928) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1929) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1926) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1927) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1924) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_1925) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1922) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1923) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1920) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_1921) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_1589) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca&
                        *cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0* &
                        vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**  &
                        2d0*l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb&
                        *vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2251) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_2250) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1324) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1325) = -ca*cima*sa*sb**2d0
      coupl(nGC_1326) = ca*cb**2d0*cima*sa
      coupl(nGC_1327) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1320) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1321) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_1322) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_1323) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1328) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1329) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2101) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_2100) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_2103) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2102) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2105) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_2104) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2106) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_2039) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2038) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
      coupl(nGC_2031) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2030) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_2032) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2195) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_2386) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(cw**2d0*sw**2d0)
      coupl(nGC_1259) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_2361) = cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_2360) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_2363) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_2362) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_2365) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_2364) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_2367) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2366) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_2369) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2368) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_1629) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1628) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1625) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1627) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1626) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_2259) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                        *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0* &
                        vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1823) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*  &
                        vev1)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1822) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1820) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_1827) = sqrt(2d0)*cb/2d0
      coupl(nGC_1826) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1825) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_1824) = cima*ee
      coupl(nGC_519) = -ca*cima*sb**2d0*vev1
      coupl(nGC_2055) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1489) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1488) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1959) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_2054) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_1953) = -cima*sb
      coupl(nGC_2053) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1951) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_1482) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1957) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1956) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw*sw**2d0)
      coupl(nGC_1487) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_2052) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1139) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1138) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_2051) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_1131) = 2d0*cima*gs**2d0
      coupl(nGC_1133) = cima*sb
      coupl(nGC_1132) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1135) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_1134) = -cb*cima
      coupl(nGC_1137) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1136) = cima*ee**2d0/sw
      coupl(nGC_1557) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1556) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1555) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1554) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1553) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1552) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1551) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1550) = 2d0*cb*cima*sb**3d0
      coupl(nGC_1559) = cima*ee*sw/(3d0*cw)
      coupl(nGC_1558) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2350) = -2d0*gs
      coupl(nGC_1311) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1310) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1317) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1316) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1319) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1318) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_13) = cima*gs
      coupl(nGC_12) = -gs
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_1168) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_2028) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_2029) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2022) = -cb*cima
      coupl(nGC_2023) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_2020) = -cima*sb
      coupl(nGC_2021) = -cima*(cb*ye2 - sb*ye1)
      coupl(nGC_2026) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2027) = -sqrt(2d0)*sb/2d0
      coupl(nGC_2024) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2025) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_2116) = cima*sb
      coupl(nGC_2117) = -cb*cima
      coupl(nGC_2114) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_2115) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_2112) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_2113) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_2110) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2111) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2118) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2119) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2370) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_2371) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_521) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_1638) = -2d0*cima*sb**4d0
      coupl(nGC_1639) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1632) = -cima*sb**4d0
      coupl(nGC_1633) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1630) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1631) = -cb**4d0*cima
      coupl(nGC_1636) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1637) = -2d0*cb**4d0*cima
      coupl(nGC_1634) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1635) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1342) = -cb*cima*sa**2d0*sb
      coupl(nGC_1435) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1340) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_1833) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1834) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1835) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1836) = -sqrt(2d0)*cima*sa/2d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
