!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_1837) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1838) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_1839) = -2d0*cima*cw*ee/sw
      coupl(nGC_1431) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1948) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1949) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1344) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1433) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                        **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*&
                        l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_1867) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1714) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_555) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_1716) = -3d0*cima*sb**4d0
      coupl(nGC_553) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_1544) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_1545) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1546) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1547) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_1542) = cima*ee/sw
      coupl(nGC_2294) = -2d0*cima*ee
      coupl(nGC_1548) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1549) = -2d0*cb**3d0*cima*sb
      coupl(nGC_2293) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1490) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_857) = -2d0*coupl(nGC_179)
      coupl(nGC_855) = -coupl(nGC_201)/2d0
      coupl(nGC_851) = -coupl(nGC_215)
      coupl(nGC_1308) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1309) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_1306) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1307) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1302) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_1300) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1301) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_2343) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_2342) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1474) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1211) = cima*sb
      coupl(nGC_2163) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_2162) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2161) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2160) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_2167) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_2166) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_2165) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_2164) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_2169) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_2168) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_557) = -cb*cima*sa*sb*vev2
      coupl(nGC_2301) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2300) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1337) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1703) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**  &
                       2d0*sb*vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1&
                       /(2d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev2/(2d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev1/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       2d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa&
                       *sb*vev1/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*&
                       vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 +  &
                       ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1&
                        - ca*cima*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*&
                       vev2 - cb**2d0*cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb&
                       *vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - &
                       cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*&
                       cw**2d0) - cima*l5*sa*sb**2d0*vev2
      coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev2/(2d0*cw)
      coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev2/(4d0*cw)
      coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*   &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0* &
                       cima*l5*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**  &
                       2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*&
                       ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0*sa*sb** &
                       2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 - cima*&
                       ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb* &
                       cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/ &
                       2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa* &
                       vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb* &
                       cima*l3*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0* &
                       sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**&
                       2d0*vev1/2d0
      coupl(nGC_1700) = -2d0*cb**4d0*cima
      coupl(nGC_1785) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_1339) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1701) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1665) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1664) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1809) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1667) = cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1805) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_1804) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1807) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_1666) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1153) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1152) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_1151) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1150) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1157) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1156) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1155) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1154) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1159) = -3d0*ca**4d0*cima
      coupl(nGC_1158) = -3d0*cima*sa**4d0
      coupl(nGC_1795) = -3d0*cima*sb**4d0
      coupl(nGC_1794) = -3d0*cb**4d0*cima
      coupl(nGC_1797) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1796) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1793) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1792) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1707) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_1704) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1571) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_1573) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1572) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1575) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1574) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_1577) = 3d0*cb**3d0*cima*sb
      coupl(nGC_1576) = -3d0*cb*cima*sb**3d0
      coupl(nGC_1579) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1578) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1705) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_2134) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1977) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1976) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2135) = cb**2d0*cima*sa*vev1
      coupl(nGC_1979) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_2137) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2131) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_849) = -2d0*coupl(nGC_173)
      coupl(nGC_2132) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_845) = -coupl(nGC_26)
      coupl(nGC_847) = -coupl(nGC_199)
      coupl(nGC_2133) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_841) = -coupl(nGC_371)
      coupl(nGC_843) = -coupl(nGC_198)
      coupl(nGC_1379) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1378) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1373) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1372) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1371) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1370) = ca**2d0*cb*cima*sb
      coupl(nGC_1377) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1376) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb&
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_1375) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1374) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1917) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1916) = -cb*cima
      coupl(nGC_1915) = cima*sb
      coupl(nGC_1914) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1207) = cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_1206) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1205) = cima*sb
      coupl(nGC_1204) = -cb*cima
      coupl(nGC_1203) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_1209) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1208) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_545) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_1954) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                        )/(cw*sw)
      coupl(nGC_1896) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2170) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_2171) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2172) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2173) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_2174) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2175) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1407) = -ca**2d0*cb**2d0*cima
      coupl(nGC_513) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_1986) = cb*cima
      coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0* &
                       sw**2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**  &
                       2d0*sb*vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1&
                       /(4d0*sw**2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee** &
                       2d0*sb**2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev2/(4d0*sw**2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*&
                       cima*ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev1/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l3*sa*sb** &
                       2d0*vev2 - cima*l4*sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*&
                       vev2
      coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw &
                       **2d0)
      coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/( &
                       4d0*sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*&
                       vev2 + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca* &
                       cima*l1*sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0&
                       *sw**2d0) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa&
                       *sb*vev1/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima&
                       *l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw&
                       **2d0)
      coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw &
                       **2d0)
      coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(4d0*sw**2d0)
      coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*  &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1818) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*  &
                        vev2)/(cw**2d0*sw**2d0)
      coupl(nGC_1819) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_1717) = -3d0*cb**4d0*cima
      coupl(nGC_1810) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_1811) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1140) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1141) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1142) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1143) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1144) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_1145) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_1148) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1149) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1782) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1783) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1780) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1781) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1786) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_1787) = -cima*sb
      coupl(nGC_1784) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_2221) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1788) = cb*cima
      coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*  &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(4d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb* &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(4d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(4d0*cw**2d0)
      coupl(nGC_2227) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**&
                       2d0*cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa** &
                       2d0*sb + cb*cima*l5*sa**2d0*sb
      coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**&
                       2d0*cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) - ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa** &
                       2d0*sb - cb*cima*l3*sa**2d0*sb
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_1566) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1567) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1564) = -3d0*cb**3d0*cima*sb
      coupl(nGC_1565) = 3d0*cb*cima*sb**3d0
      coupl(nGC_1562) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_1563) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1560) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1561) = cima*ee/(3d0*cw)
      coupl(nGC_1962) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1963) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1960) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1961) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1950) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_575) = sqrt(2d0)*sb/2d0
      coupl(nGC_879) = coupl(nGC_10)/2d0
      coupl(nGC_871) = -2d0*coupl(nGC_25)
      coupl(nGC_I) = cima
      coupl(nGC_873) = -2d0*coupl(nGC_184)
      coupl(nGC_875) = -coupl(nGC_374)
      coupl(nGC_877) = -coupl(nGC_359)
      coupl(nGC_1368) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1369) = -cb*cima*sa**2d0*sb
      coupl(nGC_573) = sqrt(2d0)*cb/2d0
      coupl(nGC_1360) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1361) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1362) = -ca**2d0*cb*cima*sb
      coupl(nGC_1363) = cb*cima*sa**2d0*sb
      coupl(nGC_1364) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1365) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1366) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1367) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_579) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1217) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb**&
                        2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2&
                         - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb**&
                        2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb&
                        **2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa* &
                        vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3* &
                        sa*sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*  &
                        vev2)
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_1219) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb* &
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_2099) = -cima*sb
      coupl(nGC_2098) = -cb*cima
      coupl(nGC_571) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_2321) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1721) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1387) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2354) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_2355) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_2356) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_2357) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_2351) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2352) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_2353) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1723) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_2358) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_2359) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*&
                       vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                       cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0&
                       *vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0   &
                       ) + cima*ee**2d0*sb*vev1/(2d0*cw)
      coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw &
                       **2d0)
      coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw &
                       **2d0)
      coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*&
                       vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) - &
                       cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0&
                       *vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0   &
                       ) - cima*ee**2d0*sb*vev1/(4d0*cw)
      coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw&
                       **2d0)
      coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw&
                       **2d0)
      coupl(nGC_1727) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1210) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_1179) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1178) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1175) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1174) = cima*sb
      coupl(nGC_1177) = 3d0*ca*cima*sa**3d0
      coupl(nGC_1176) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1173) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_1172) = -cb*cima
      coupl(nGC_1777) = sqrt(2d0)*sb/2d0
      coupl(nGC_1776) = sqrt(2d0)*cb/2d0
      coupl(nGC_1775) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_1774) = cima*sb
      coupl(nGC_1773) = cb*cima
      coupl(nGC_1772) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_1771) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_1770) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1212) = -cb*cima
      coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*&
                       sb + ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) - 2d0*ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) + 2d0*ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) - cb*cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb  &
                        + cb*cima*l4*sa**2d0*sb - cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**&
                       2d0*cima*l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa** &
                       2d0*sb + cb*cima*l3*sa**2d0*sb
      coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**&
                       2d0*cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*&
                       cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima&
                       *l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa* &
                       sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb  &
                        - ca*cb*cima*ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb&
                       **2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4&
                       *sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*&
                       ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima&
                       *l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee** &
                       2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 &
                        + cb**2d0*cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb&
                       **2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima&
                       *l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb* &
                       cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*&
                       sb - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb &
                       /(2d0*cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0&
                       ) + 2d0*ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*&
                       sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw** &
                       2d0) - 2d0*ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb&
                       **2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw&
                       **2d0) + cb*cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb  &
                        - cb*cima*l4*sa**2d0*sb + cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*&
                       cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**  &
                       2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima&
                       *l4*sa + ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 +  &
                       ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0* &
                       cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0 &
                       ) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**  &
                       2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima&
                       *l4*sa - ca*cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0&
                       *sa/(2d0*cw**2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**&
                       2d0) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 -  &
                       ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*&
                       ee**2d0*sa*sb**2d0/(2d0*cw**2d0) - cb*cima*ee**2d0*sa** &
                       2d0*sb/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa**2d0*sb - cb*  &
                       cima*ee**2d0*sa**2d0*sb/(2d0*cw**2d0)
      coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*  &
                       cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee &
                       **2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**&
                       2d0*cima*l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0&
                       ) + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb* &
                       cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa** &
                       2d0*sb - cb*cima*l5*sa**2d0*sb
      coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0&
                       *sb**2d0
      coupl(nGC_1649) = -cb*cima*sa*sb*vev1
      coupl(nGC_1648) = -ca*cb*cima*sb*vev2
      coupl(nGC_1519) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1518) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1511) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_1510) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_1517) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1515) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1514) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1689) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_1688) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1994) = sqrt(2d0)*sb/2d0
      coupl(nGC_1993) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1992) = -sqrt(2d0)*cb/2d0
      coupl(nGC_867) = -coupl(nGC_205)
      coupl(nGC_865) = -coupl(nGC_11)/2d0
      coupl(nGC_863) = 2d0*coupl(nGC_15)
      coupl(nGC_861) = -coupl(nGC_6)/2d0
      coupl(nGC_869) = coupl(nGC_5)/2d0
      coupl(nGC_1355) = cima*sb
      coupl(nGC_1354) = cb*cima
      coupl(nGC_1425) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1424) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1351) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1350) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1353) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_1420) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
      coupl(nGC_1429) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_1428) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1197) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1196) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1388) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1194) = -2d0*cb*cima*sb**3d0
      coupl(nGC_1193) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1192) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_1389) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1221) = ca*cb*cima*sb*vev1
      coupl(nGC_1220) = -cb*cima*sa*sb*vev2
      coupl(nGC_1223) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1222) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1225) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*   &
                        vev2 + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*   &
                        vev1)
      coupl(nGC_1224) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3&
                        *sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*&
                        sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                        cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 &
                         + l5*sa*sb**2d0*vev2)
      coupl(nGC_1227) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1226) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1229) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_1228) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*&
                       vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**  &
                       2d0) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_2158) = -cima*ee*sw/cw**2d0
      coupl(nGC_2159) = cima*ee/cw
      coupl(nGC_2152) = 2d0*cima*ee/sw
      coupl(nGC_2153) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_2151) = 2d0*cima*cw*ee/sw
      coupl(nGC_2156) = -cima*sb
      coupl(nGC_2157) = cima*ee*sw/cw
      coupl(nGC_2154) = -cima*(cb*ys2 - sb*yd12x2)
      coupl(nGC_2155) = -cb*cima
      coupl(nGC_2333) = 2d0*cima*ee**2d0
      coupl(nGC_2336) = sqrt(2d0)*sb/2d0
      coupl(nGC_2337) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_2334) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_2335) = sqrt(2d0)*cb/2d0
      coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0&
                        + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_2338) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_2339) = -ca*cima*sa*sb**2d0
      coupl(nGC_1439) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*sw)
      coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
      coupl(nGC_2097) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_1423) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1422) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1421) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                        *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +  &
                        2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0&
                        *sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1541) = cima*cw*ee/sw
      coupl(nGC_1543) = -cima*cw*ee/sw**2d0
      coupl(nGC_1466) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*  &
                       vev1/(4d0*sw**2d0)
      coupl(nGC_1465) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5&
                        *sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                         + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb&
                       *vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw** &
                       2d0) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**  &
                       2d0) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_2325) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_2324) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_1162) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4  &
                         - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + &
                        l5*sa**2d0)
      coupl(nGC_1163) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1160) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1161) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1166) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1167) = -6d0*ca**2d0*cima*sa**2d0
    end subroutine fill_couplings_mdl3
end module fill_couplings3
