!******************************************************************************!
!                                                                              !
!    ctparameter13.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter13.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter13
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter13()
  dZHa_QED2 = (4d0*Nc*Ten329*coupl(nGC_383)**2d0 + 4d0*Nc*Ten331*coupl(nGC_383 &
              )**2d0 + 4d0*Nc*Ten332*coupl(nGC_335)**2d0 + 4d0*Nc*Ten334*coupl(&
              nGC_335)**2d0 + 4d0*Nc*Ten335*coupl(nGC_371)**2d0 + 4d0*Nc*Ten337&
              *coupl(nGC_371)**2d0 + 4d0*Nc*Ten338*coupl(nGC_347)**2d0 + 4d0*Nc&
              *Ten340*coupl(nGC_347)**2d0 + 4d0*Nc*Ten341*coupl(nGC_365)**2d0  &
               + 4d0*Nc*Ten343*coupl(nGC_365)**2d0 + 4d0*Nc*Ten344*coupl(      &
              nGC_344)**2d0 + 4d0*Nc*Ten346*coupl(nGC_344)**2d0 - 4d0*Nc*Ten355&
              *cMU**2d0*coupl(nGC_383)**2d0 - 4d0*Nc*Ten356*cMC**2d0*coupl(    &
              nGC_335)**2d0 - 4d0*Nc*Ten357*cMT**2d0*coupl(nGC_371)**2d0 - 4d0*&
              Nc*Ten358*cMD**2d0*coupl(nGC_347)**2d0 - 4d0*Nc*Ten359*cMS**2d0* &
              coupl(nGC_365)**2d0 - 4d0*Nc*Ten360*cMB**2d0*coupl(nGC_344)**2d0 &
               + 4d0*Nc*Ten370*coupl(nGC_383)**2d0*rMHA**2d0 + 16d0*Nc*Ten371* &
              coupl(nGC_383)**2d0 + 4d0*Nc*Ten372*coupl(nGC_383)**2d0*rMHA**2d0&
               + 4d0*Nc*Ten373*coupl(nGC_335)**2d0*rMHA**2d0 + 16d0*Nc*Ten374* &
              coupl(nGC_335)**2d0 + 4d0*Nc*Ten375*coupl(nGC_335)**2d0*rMHA**2d0&
               + 4d0*Nc*Ten376*coupl(nGC_371)**2d0*rMHA**2d0 + 16d0*Nc*Ten377* &
              coupl(nGC_371)**2d0 + 4d0*Nc*Ten378*coupl(nGC_371)**2d0*rMHA**2d0&
               + 4d0*Nc*Ten379*coupl(nGC_347)**2d0*rMHA**2d0 + 16d0*Nc*Ten380* &
              coupl(nGC_347)**2d0 + 4d0*Nc*Ten381*coupl(nGC_347)**2d0*rMHA**2d0&
               + 4d0*Nc*Ten382*coupl(nGC_365)**2d0*rMHA**2d0 + 16d0*Nc*Ten383* &
              coupl(nGC_365)**2d0 + 4d0*Nc*Ten384*coupl(nGC_365)**2d0*rMHA**2d0&
               + 4d0*Nc*Ten385*coupl(nGC_344)**2d0*rMHA**2d0 + 16d0*Nc*Ten386* &
              coupl(nGC_344)**2d0 + 4d0*Nc*Ten387*coupl(nGC_344)**2d0*rMHA**2d0&
               + 4d0*Ten306*coupl(nGC_216)**2d0 + 4d0*Ten307*coupl(nGC_213)**  &
              2d0 + 8d0*Ten310*coupl(nGC_183)**2d0 + 4d0*Ten320*coupl(nGC_353  &
              )**2d0 + 4d0*Ten322*coupl(nGC_353)**2d0 + 4d0*Ten323*coupl(      &
              nGC_359)**2d0 + 4d0*Ten325*coupl(nGC_359)**2d0 + 4d0*Ten326*coupl&
              (nGC_377)**2d0 + 4d0*Ten328*coupl(nGC_377)**2d0 + Ten347*(4d0*   &
              coupl(nGC_216)**2d0*rMHA**2d0 + coupl(nGC_312)**2d0) + Ten348*(  &
              4d0*coupl(nGC_213)**2d0*rMHA**2d0 + coupl(nGC_294)**2d0) + Ten349&
              *(8d0*coupl(nGC_183)**2d0*rMHA**2d0 + 2d0*coupl(nGC_317)*coupl(  &
              nGC_319)) + Ten350*coupl(nGC_290)**2d0 + Ten351*coupl(nGC_278)** &
              2d0 - 4d0*Ten352*cME**2d0*coupl(nGC_353)**2d0 - 4d0*Ten353*cMM** &
              2d0*coupl(nGC_359)**2d0 - 4d0*Ten354*cMTA**2d0*coupl(nGC_377)**  &
              2d0 + 4d0*Ten361*coupl(nGC_353)**2d0*rMHA**2d0 + 16d0*Ten362*    &
              coupl(nGC_353)**2d0 + 4d0*Ten363*coupl(nGC_353)**2d0*rMHA**2d0 + &
              4d0*Ten364*coupl(nGC_359)**2d0*rMHA**2d0 + 16d0*Ten365*coupl(    &
              nGC_359)**2d0 + 4d0*Ten366*coupl(nGC_359)**2d0*rMHA**2d0 + 4d0*  &
              Ten367*coupl(nGC_377)**2d0*rMHA**2d0 + 16d0*Ten368*coupl(nGC_377 &
              )**2d0 + 4d0*Ten369*coupl(nGC_377)**2d0*rMHA**2d0 + pi**2d0*(2d0*&
              Nc*coupl(nGC_335)**2d0/(3d0*pi**2d0) + 2d0*Nc*coupl(nGC_344)**2d0&
              /(3d0*pi**2d0) + 2d0*Nc*coupl(nGC_347)**2d0/(3d0*pi**2d0) + 2d0* &
              Nc*coupl(nGC_365)**2d0/(3d0*pi**2d0) + 2d0*Nc*coupl(nGC_371)**2d0&
              /(3d0*pi**2d0) + 2d0*Nc*coupl(nGC_383)**2d0/(3d0*pi**2d0) + 2d0* &
              coupl(nGC_353)**2d0/(3d0*pi**2d0) + 2d0*coupl(nGC_359)**2d0/(3d0*&
              pi**2d0) + 2d0*coupl(nGC_377)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHa_QED2 = cone*real(dZHa_QED2,kind=dp)
    end if 
end subroutine set_ctparameter13
end module ctparameter13
