!******************************************************************************!
!                                                                              !
!    ctparameter130.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter130.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter130
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter130()
  dZZA_QED2 = (4d0*Nc*Ten395*cMU**2d0*coupl(nGC_2)*(-coupl(nGC_207) - coupl(   &
              nGC_210))/cMZ**2d0 + 4d0*Nc*Ten396*cMC**2d0*coupl(nGC_2)*(-coupl(&
              nGC_207) - coupl(nGC_210))/cMZ**2d0 + 4d0*Nc*Ten397*cMT**2d0*    &
              coupl(nGC_2)*(-coupl(nGC_207) - coupl(nGC_210))/cMZ**2d0 + 4d0*Nc&
              *Ten398*cMD**2d0*coupl(nGC_1)*(-coupl(nGC_206) - coupl(nGC_209))/&
              cMZ**2d0 + 4d0*Nc*Ten399*cMS**2d0*coupl(nGC_1)*(-coupl(nGC_206   &
              ) - coupl(nGC_209))/cMZ**2d0 + 4d0*Nc*Ten400*cMB**2d0*coupl(nGC_1&
              )*(-coupl(nGC_206) - coupl(nGC_209))/cMZ**2d0 + 8d0*Nc*Ten405*   &
              coupl(nGC_2)*(coupl(nGC_207) + coupl(nGC_210))/cMZ**2d0 + 8d0*Nc*&
              Ten406*coupl(nGC_2)*(coupl(nGC_207) + coupl(nGC_210))/cMZ**2d0 + &
              8d0*Nc*Ten407*coupl(nGC_2)*(coupl(nGC_207) + coupl(nGC_210))/cMZ &
              **2d0 + 8d0*Nc*Ten408*coupl(nGC_1)*(coupl(nGC_206) + coupl(      &
              nGC_209))/cMZ**2d0 + 8d0*Nc*Ten409*coupl(nGC_1)*(coupl(nGC_206   &
              ) + coupl(nGC_209))/cMZ**2d0 + 8d0*Nc*Ten410*coupl(nGC_1)*(coupl(&
              nGC_206) + coupl(nGC_209))/cMZ**2d0 - 2d0*cima*Ten13*coupl(      &
              nGC_221)/cMZ**2d0 + 2d0*cima*Ten3*(2d0*coupl(nGC_204) + 4d0*coupl&
              (nGC_205) - coupl(nGC_221))/cMZ**2d0 + 4d0*Ten392*cME**2d0*coupl(&
              nGC_4)*(-coupl(nGC_208) - coupl(nGC_211))/cMZ**2d0 + 4d0*Ten393* &
              cMM**2d0*coupl(nGC_4)*(-coupl(nGC_208) - coupl(nGC_211))/cMZ**2d0&
               + 4d0*Ten394*cMTA**2d0*coupl(nGC_4)*(-coupl(nGC_208) - coupl(   &
              nGC_211))/cMZ**2d0 + 8d0*Ten402*coupl(nGC_4)*(coupl(nGC_208) +   &
              coupl(nGC_211))/cMZ**2d0 + 8d0*Ten403*coupl(nGC_4)*(coupl(nGC_208&
              ) + coupl(nGC_211))/cMZ**2d0 + 8d0*Ten404*coupl(nGC_4)*(coupl(   &
              nGC_208) + coupl(nGC_211))/cMZ**2d0 + 2d0*Ten865*(16d0*coupl(    &
              nGC_199)*coupl(nGC_3) - coupl(nGC_200)*coupl(nGC_6) - coupl(     &
              nGC_201)*coupl(nGC_5) + 4d0*coupl(nGC_218)*coupl(nGC_26))/cMZ**  &
              2d0 + 8d0*Ten872*coupl(nGC_218)*coupl(nGC_26)/cMZ**2d0 + pi**2d0 &
              *(-4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_206)/(pi**2d0*cMZ**2d0 &
              ) - 4d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_209)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_207)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_210)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_206)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_209)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_206)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_209)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_207)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_210)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_207)/(pi**2d0*cMZ**2d0&
              ) - 4d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_210)/(pi**2d0*cMZ**2d0&
              ) - 4d0*cME**2d0*coupl(nGC_208)*coupl(nGC_4)/(pi**2d0*cMZ**2d0   &
              ) - 4d0*cME**2d0*coupl(nGC_211)*coupl(nGC_4)/(pi**2d0*cMZ**2d0   &
              ) - 4d0*cMM**2d0*coupl(nGC_208)*coupl(nGC_4)/(pi**2d0*cMZ**2d0   &
              ) - 4d0*cMM**2d0*coupl(nGC_211)*coupl(nGC_4)/(pi**2d0*cMZ**2d0   &
              ) - 4d0*cMTA**2d0*coupl(nGC_208)*coupl(nGC_4)/(pi**2d0*cMZ**2d0  &
              ) - 4d0*cMTA**2d0*coupl(nGC_211)*coupl(nGC_4)/(pi**2d0*cMZ**2d0  &
              ) - 8d0*cMW**2d0*coupl(nGC_199)*coupl(nGC_3)/(pi**2d0*cMZ**2d0   &
              ) - 4d0*cima*cMW**2d0*coupl(nGC_205)/(pi**2d0*cMZ**2d0)))/(16d0* &
              pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_QED2 = cone*real(dZZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter130
end module ctparameter130
