!******************************************************************************!
!                                                                              !
!    ctparameter152.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter152.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter152
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter152()
  dMHL2_QED2 = (16d0*Nc*Ten100*coupl(nGC_363)**2d0*(cMHL**2d0 - rMHL**2d0) +   &
               4d0*Nc*Ten101*coupl(nGC_363)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL** &
               2d0) + 4d0*Nc*Ten102*coupl(nGC_342)**2d0*rMHL**2d0*(cMHL**2d0 - &
               rMHL**2d0) + 16d0*Nc*Ten103*coupl(nGC_342)**2d0*(cMHL**2d0 -    &
               rMHL**2d0) + 4d0*Nc*Ten104*coupl(nGC_342)**2d0*rMHL**2d0*(cMHL**&
               2d0 - rMHL**2d0) + 4d0*Nc*Ten27*cMU**2d0*coupl(nGC_381)**2d0 +  &
               4d0*Nc*Ten28*cMC**2d0*coupl(nGC_333)**2d0 + 4d0*Nc*Ten29*cMT**  &
               2d0*coupl(nGC_369)**2d0 + 4d0*Nc*Ten30*cMD**2d0*coupl(nGC_345)**&
               2d0 + 4d0*Nc*Ten31*cMS**2d0*coupl(nGC_363)**2d0 + 4d0*Nc*Ten32* &
               cMB**2d0*coupl(nGC_342)**2d0 + 4d0*Nc*Ten42*cMHL**2d0*coupl(    &
               nGC_381)**2d0 + 16d0*Nc*Ten43*coupl(nGC_381)**2d0 + 4d0*Nc*Ten44&
               *cMHL**2d0*coupl(nGC_381)**2d0 + 4d0*Nc*Ten45*cMHL**2d0*coupl(  &
               nGC_333)**2d0 + 16d0*Nc*Ten46*coupl(nGC_333)**2d0 + 4d0*Nc*Ten47&
               *cMHL**2d0*coupl(nGC_333)**2d0 + 4d0*Nc*Ten48*cMHL**2d0*coupl(  &
               nGC_369)**2d0 + 16d0*Nc*Ten49*coupl(nGC_369)**2d0 + 4d0*Nc*Ten50&
               *cMHL**2d0*coupl(nGC_369)**2d0 + 4d0*Nc*Ten51*cMHL**2d0*coupl(  &
               nGC_345)**2d0 + 16d0*Nc*Ten52*coupl(nGC_345)**2d0 + 4d0*Nc*Ten53&
               *cMHL**2d0*coupl(nGC_345)**2d0 + 4d0*Nc*Ten54*cMHL**2d0*coupl(  &
               nGC_363)**2d0 + 16d0*Nc*Ten55*coupl(nGC_363)**2d0 + 4d0*Nc*Ten56&
               *cMHL**2d0*coupl(nGC_363)**2d0 + 4d0*Nc*Ten57*cMHL**2d0*coupl(  &
               nGC_342)**2d0 + 16d0*Nc*Ten58*coupl(nGC_342)**2d0 + 4d0*Nc*Ten59&
               *cMHL**2d0*coupl(nGC_342)**2d0 + 4d0*Nc*Ten69*cMU**2d0*coupl(   &
               nGC_381)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten70*cMC**2d0*  &
               coupl(nGC_333)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten71*cMT**&
               2d0*coupl(nGC_369)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten72* &
               cMD**2d0*coupl(nGC_345)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*  &
               Ten73*cMS**2d0*coupl(nGC_363)**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0&
               *Nc*Ten74*cMB**2d0*coupl(nGC_342)**2d0*(cMHL**2d0 - rMHL**2d0   &
               ) + 4d0*Nc*Ten87*coupl(nGC_381)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL&
               **2d0) + 16d0*Nc*Ten88*coupl(nGC_381)**2d0*(cMHL**2d0 - rMHL**  &
               2d0) + 4d0*Nc*Ten89*coupl(nGC_381)**2d0*rMHL**2d0*(cMHL**2d0 -  &
               rMHL**2d0) + 4d0*Nc*Ten90*coupl(nGC_333)**2d0*rMHL**2d0*(cMHL** &
               2d0 - rMHL**2d0) + 16d0*Nc*Ten91*coupl(nGC_333)**2d0*(cMHL**2d0 &
                - rMHL**2d0) + 4d0*Nc*Ten92*coupl(nGC_333)**2d0*rMHL**2d0*(cMHL&
               **2d0 - rMHL**2d0) + 4d0*Nc*Ten93*coupl(nGC_369)**2d0*rMHL**2d0 &
               *(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten94*coupl(nGC_369)**2d0*(  &
               cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten95*coupl(nGC_369)**2d0*rMHL**&
               2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten96*coupl(nGC_345)**2d0* &
               rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 16d0*Nc*Ten97*coupl(nGC_345 &
               )**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten98*coupl(nGC_345)**  &
               2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Nc*Ten99*coupl(     &
               nGC_363)**2d0*rMHL**2d0*(cMHL**2d0 - rMHL**2d0) + cima*Ten0*    &
               coupl(nGC_18)/2d0 + cima*Ten1*(coupl(nGC_111) - 2d0*coupl(      &
               nGC_223) - 4d0*coupl(nGC_224))/2d0 + cima*Ten13*coupl(nGC_144   &
               ) + cima*Ten14*coupl(nGC_145)/2d0 + Ten15*(-4d0*cMHL**2d0*coupl(&
               nGC_213)**2d0 - coupl(nGC_300)**2d0/2d0 + coupl(nGC_328)**2d0 - &
               2d0*coupl(nGC_329)**2d0) + Ten16*(-4d0*cMHL**2d0*coupl(nGC_215  &
               )**2d0 - coupl(nGC_308)**2d0) - Ten17*coupl(nGC_292)**2d0/2d0 + &
               Ten18*(-8d0*cMHL**2d0*coupl(nGC_172)*coupl(nGC_173) + 2d0*coupl(&
               nGC_260)**2d0 - 4d0*coupl(nGC_261)**2d0 - coupl(nGC_299)**2d0   &
               ) + Ten19*(-8d0*cMHL**2d0*coupl(nGC_178)*coupl(nGC_179) - 2d0*  &
               coupl(nGC_307)**2d0) + cima*Ten2*coupl(nGC_20)/2d0 - Ten20*coupl&
               (nGC_291)**2d0 - Ten21*coupl(nGC_234)**2d0/2d0 - Ten22*coupl(   &
               nGC_236)**2d0 - Ten23*coupl(nGC_233)**2d0/2d0 + 4d0*Ten24*cME** &
               2d0*coupl(nGC_351)**2d0 + 4d0*Ten25*cMM**2d0*coupl(nGC_357)**2d0&
                + 4d0*Ten26*cMTA**2d0*coupl(nGC_375)**2d0 + cima*Ten3*(coupl(  &
               nGC_109) - 2d0*coupl(nGC_76) - 4d0*coupl(nGC_77)) + 4d0*Ten33*  &
               cMHL**2d0*coupl(nGC_351)**2d0 + 16d0*Ten34*coupl(nGC_351)**2d0  &
                + 4d0*Ten35*cMHL**2d0*coupl(nGC_351)**2d0 + 4d0*Ten36*cMHL**2d0&
               *coupl(nGC_357)**2d0 + 16d0*Ten37*coupl(nGC_357)**2d0 + 4d0*    &
               Ten38*cMHL**2d0*coupl(nGC_357)**2d0 + 4d0*Ten39*cMHL**2d0*coupl(&
               nGC_375)**2d0 + 16d0*Ten40*coupl(nGC_375)**2d0 + 4d0*Ten41*cMHL &
               **2d0*coupl(nGC_375)**2d0 + Ten60*(-4d0*cMHL**2d0*coupl(nGC_213 &
               )**2d0*rMHL**2d0 - cMHL**2d0*coupl(nGC_300)**2d0/2d0 + cMHL**2d0&
               *coupl(nGC_328)**2d0 - 2d0*cMHL**2d0*coupl(nGC_329)**2d0 + 4d0* &
               coupl(nGC_213)**2d0*rMHL**4d0 + coupl(nGC_300)**2d0*rMHL**2d0/  &
               2d0 - coupl(nGC_328)**2d0*rMHL**2d0 + 2d0*coupl(nGC_329)**2d0*  &
               rMHL**2d0) + Ten61*(-4d0*cMHL**2d0*coupl(nGC_215)**2d0*rMHL**2d0&
                - cMHL**2d0*coupl(nGC_308)**2d0 + 4d0*coupl(nGC_215)**2d0*rMHL &
               **4d0 + coupl(nGC_308)**2d0*rMHL**2d0) + Ten62*(-8d0*cMHL**2d0* &
               coupl(nGC_172)*coupl(nGC_173)*rMHL**2d0 + 2d0*cMHL**2d0*coupl(  &
               nGC_260)**2d0 - 4d0*cMHL**2d0*coupl(nGC_261)**2d0 - cMHL**2d0*  &
               coupl(nGC_299)**2d0 + 8d0*coupl(nGC_172)*coupl(nGC_173)*rMHL**  &
               4d0 - 2d0*coupl(nGC_260)**2d0*rMHL**2d0 + 4d0*coupl(nGC_261)**  &
               2d0*rMHL**2d0 + coupl(nGC_299)**2d0*rMHL**2d0) + Ten63*(-8d0*   &
               cMHL**2d0*coupl(nGC_178)*coupl(nGC_179)*rMHL**2d0 - 2d0*cMHL**  &
               2d0*coupl(nGC_307)**2d0 + 8d0*coupl(nGC_178)*coupl(nGC_179)*rMHL&
               **4d0 + 2d0*coupl(nGC_307)**2d0*rMHL**2d0) + Ten64*coupl(nGC_292&
               )**2d0*(-cMHL**2d0 + rMHL**2d0)/2d0 + Ten65*coupl(nGC_291)**2d0 &
               *(-cMHL**2d0 + rMHL**2d0) + 4d0*Ten66*cME**2d0*coupl(nGC_351)** &
               2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten67*cMM**2d0*coupl(nGC_357  &
               )**2d0*(cMHL**2d0 - rMHL**2d0) + 4d0*Ten68*cMTA**2d0*coupl(     &
               nGC_375)**2d0*(cMHL**2d0 - rMHL**2d0) + Ten75*coupl(nGC_234)**  &
               2d0*(-cMHL**2d0 + rMHL**2d0)/2d0 + Ten76*coupl(nGC_236)**2d0*(- &
               cMHL**2d0 + rMHL**2d0) + Ten77*coupl(nGC_233)**2d0*(-cMHL**2d0  &
                + rMHL**2d0)/2d0 + 4d0*Ten78*coupl(nGC_351)**2d0*rMHL**2d0*(   &
               cMHL**2d0 - rMHL**2d0) + 16d0*Ten79*coupl(nGC_351)**2d0*(cMHL** &
               2d0 - rMHL**2d0) + 4d0*Ten80*coupl(nGC_351)**2d0*rMHL**2d0*(cMHL&
               **2d0 - rMHL**2d0) + 4d0*Ten81*coupl(nGC_357)**2d0*rMHL**2d0*(  &
               cMHL**2d0 - rMHL**2d0) + 16d0*Ten82*coupl(nGC_357)**2d0*(cMHL** &
               2d0 - rMHL**2d0) + 4d0*Ten83*coupl(nGC_357)**2d0*rMHL**2d0*(cMHL&
               **2d0 - rMHL**2d0) + 4d0*Ten84*coupl(nGC_375)**2d0*rMHL**2d0*(  &
               cMHL**2d0 - rMHL**2d0) + 16d0*Ten85*coupl(nGC_375)**2d0*(cMHL** &
               2d0 - rMHL**2d0) + 4d0*Ten86*coupl(nGC_375)**2d0*rMHL**2d0*(cMHL&
               **2d0 - rMHL**2d0) + pi**2d0*(-4d0*Nc*cMB**2d0*coupl(nGC_342)** &
               2d0/pi**2d0 - 4d0*Nc*cMC**2d0*coupl(nGC_333)**2d0/pi**2d0 - 4d0*&
               Nc*cMD**2d0*coupl(nGC_345)**2d0/pi**2d0 + 2d0*Nc*cMHL**2d0*coupl&
               (nGC_333)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHL**2d0*coupl(nGC_342)**&
               2d0/(3d0*pi**2d0) + 2d0*Nc*cMHL**2d0*coupl(nGC_345)**2d0/(3d0*pi&
               **2d0) + 2d0*Nc*cMHL**2d0*coupl(nGC_363)**2d0/(3d0*pi**2d0) +   &
               2d0*Nc*cMHL**2d0*coupl(nGC_369)**2d0/(3d0*pi**2d0) + 2d0*Nc*cMHL&
               **2d0*coupl(nGC_381)**2d0/(3d0*pi**2d0) - 4d0*Nc*cMS**2d0*coupl(&
               nGC_363)**2d0/pi**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_369)**2d0/pi**&
               2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_381)**2d0/pi**2d0 - 4d0*cME**2d0&
               *coupl(nGC_351)**2d0/pi**2d0 + 2d0*cMHL**2d0*coupl(nGC_351)**2d0&
               /(3d0*pi**2d0) + 2d0*cMHL**2d0*coupl(nGC_357)**2d0/(3d0*pi**2d0 &
               ) + 2d0*cMHL**2d0*coupl(nGC_375)**2d0/(3d0*pi**2d0) - 4d0*cMM** &
               2d0*coupl(nGC_357)**2d0/pi**2d0 - 4d0*cMTA**2d0*coupl(nGC_375)**&
               2d0/pi**2d0 + 2d0*cima*cMW**2d0*coupl(nGC_77)/pi**2d0 + cima*cMZ&
               **2d0*coupl(nGC_224)/pi**2d0 + 2d0*coupl(nGC_261)**2d0/pi**2d0  &
                + coupl(nGC_329)**2d0/pi**2d0))/(16d0*pi**2d0) + cima*coupl(   &
               nGC_234)*dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_236)*dtHh_QED1/   &
               cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHL2_QED2 = cone*real(dMHL2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter152
end module ctparameter152
