!******************************************************************************!
!                                                                              !
!    ctparameter156.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter156.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter156
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter156()
  if (dMTA_QED2_scheme .eq. 0) then
    dMTA_QED2 = (2d0*Ten807*cMTA*coupl(nGC_4)**2d0 + Ten808*cMTA*(-coupl(      &
                nGC_208)**2d0 + 4d0*coupl(nGC_208)*coupl(nGC_211) - coupl(     &
                nGC_211)**2d0) - Ten809*cMTA*coupl(nGC_377)**2d0 + Ten810*cMTA*&
                coupl(nGC_375)**2d0 + Ten811*cMTA*coupl(nGC_378)**2d0 - 2d0*   &
                Ten812*cMTA*coupl(nGC_4)**2d0 + Ten813*cMTA*(2d0*coupl(nGC_197 &
                )**2d0 + coupl(nGC_379)**2d0)/2d0 + Ten814*cMTA*coupl(nGC_376  &
                )**2d0/2d0 + Ten815*cMTA*(-coupl(nGC_208)**2d0 - coupl(nGC_211 &
                )**2d0 + coupl(nGC_380)**2d0) - Ten816*cMTA*coupl(nGC_377)**2d0&
                 - Ten817*cMTA*coupl(nGC_375)**2d0 - Ten818*cMTA*coupl(nGC_378 &
                )**2d0 + 2d0*Ten819*cMTA*coupl(nGC_377)**2d0*rMTA*(-cMTA + rMTA&
                ) + 2d0*Ten820*cMTA*coupl(nGC_375)**2d0*rMTA*(-cMTA + rMTA) +  &
                2d0*Ten821*cMTA*coupl(nGC_378)**2d0*rMTA*(-cMTA + rMTA) + 4d0* &
                Ten822*coupl(nGC_4)**2d0*rMTA*(2d0*cMTA**2d0 - 3d0*cMTA*rMTA + &
                rMTA**2d0) + 2d0*Ten823*rMTA*(4d0*cMTA**2d0*coupl(nGC_208)*    &
                coupl(nGC_211) - cMTA**2d0*coupl(nGC_380)**2d0 - cMTA*coupl(   &
                nGC_208)**2d0*rMTA - 4d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*   &
                rMTA - cMTA*coupl(nGC_211)**2d0*rMTA + 2d0*cMTA*coupl(nGC_380  &
                )**2d0*rMTA + coupl(nGC_208)**2d0*rMTA**2d0 + coupl(nGC_211)** &
                2d0*rMTA**2d0 - coupl(nGC_380)**2d0*rMTA**2d0) + 2d0*Ten824*   &
                coupl(nGC_377)**2d0*rMTA**2d0*(-cMTA + rMTA) + 2d0*Ten825*coupl&
                (nGC_375)**2d0*rMTA**2d0*(cMTA - rMTA) + 2d0*Ten826*coupl(     &
                nGC_378)**2d0*rMTA**2d0*(cMTA - rMTA) + 4d0*Ten827*coupl(nGC_4 &
                )**2d0*rMTA**2d0*(-cMTA + rMTA) + Ten828*rMTA**2d0*(2d0*cMTA*  &
                coupl(nGC_197)**2d0 + cMTA*coupl(nGC_379)**2d0 - 2d0*coupl(    &
                nGC_197)**2d0*rMTA - coupl(nGC_379)**2d0*rMTA) + Ten829*coupl( &
                nGC_376)**2d0*rMTA**2d0*(cMTA - rMTA) + 2d0*Ten830*rMTA**2d0*(-&
                cMTA*coupl(nGC_208)**2d0 - cMTA*coupl(nGC_211)**2d0 + cMTA*    &
                coupl(nGC_380)**2d0 + coupl(nGC_208)**2d0*rMTA + coupl(nGC_211 &
                )**2d0*rMTA - coupl(nGC_380)**2d0*rMTA) + pi**2d0*(-8d0*aEW*   &
                cMTA**2d0/(pi*rMTA) + 8d0*aEW*rMTA/pi + cMTA*coupl(nGC_197)**  &
                2d0/(2d0*pi**2d0) + cMTA*coupl(nGC_208)**2d0/(2d0*pi**2d0) -   &
                2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)/pi**2d0 + cMTA*coupl(   &
                nGC_211)**2d0/(2d0*pi**2d0) - cMTA*coupl(nGC_4)**2d0/pi**2d0   &
                ))/(16d0*pi**2d0) + cima*coupl(nGC_375)*dtHl_QED1/cMHL**2d0 +  &
                cima*coupl(nGC_378)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMTA_QED2 = cone*real(dMTA_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter156
end module ctparameter156
