!******************************************************************************!
!                                                                              !
!    ctparameter165.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter165.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter165
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter165()
  if (dMM_QED2_scheme .eq. 0) then
    dMM_QED2 = (2d0*Ten759*cMM*coupl(nGC_4)**2d0 + Ten760*cMM*(-coupl(nGC_208  &
               )**2d0 + 4d0*coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_211)**2d0&
               ) - Ten761*cMM*coupl(nGC_359)**2d0 + Ten762*cMM*coupl(nGC_360)**&
               2d0 + Ten763*cMM*coupl(nGC_357)**2d0 - 2d0*Ten764*cMM*coupl(    &
               nGC_4)**2d0 + Ten765*cMM*(2d0*coupl(nGC_197)**2d0 + coupl(      &
               nGC_361)**2d0)/2d0 + Ten766*cMM*coupl(nGC_358)**2d0/2d0 + Ten767&
               *cMM*(-coupl(nGC_208)**2d0 - coupl(nGC_211)**2d0 + coupl(nGC_362&
               )**2d0) - Ten768*cMM*coupl(nGC_359)**2d0 - Ten769*cMM*coupl(    &
               nGC_360)**2d0 - Ten770*cMM*coupl(nGC_357)**2d0 + 2d0*Ten771*cMM*&
               coupl(nGC_359)**2d0*rMM*(-cMM + rMM) + 2d0*Ten772*cMM*coupl(    &
               nGC_360)**2d0*rMM*(-cMM + rMM) + 2d0*Ten773*cMM*coupl(nGC_357)**&
               2d0*rMM*(-cMM + rMM) + 4d0*Ten774*coupl(nGC_4)**2d0*rMM*(2d0*cMM&
               **2d0 - 3d0*cMM*rMM + rMM**2d0) + 2d0*Ten775*rMM*(4d0*cMM**2d0* &
               coupl(nGC_208)*coupl(nGC_211) - cMM**2d0*coupl(nGC_362)**2d0 -  &
               cMM*coupl(nGC_208)**2d0*rMM - 4d0*cMM*coupl(nGC_208)*coupl(     &
               nGC_211)*rMM - cMM*coupl(nGC_211)**2d0*rMM + 2d0*cMM*coupl(     &
               nGC_362)**2d0*rMM + coupl(nGC_208)**2d0*rMM**2d0 + coupl(nGC_211&
               )**2d0*rMM**2d0 - coupl(nGC_362)**2d0*rMM**2d0) + 2d0*Ten776*   &
               coupl(nGC_359)**2d0*rMM**2d0*(-cMM + rMM) + 2d0*Ten777*coupl(   &
               nGC_360)**2d0*rMM**2d0*(cMM - rMM) + 2d0*Ten778*coupl(nGC_357)**&
               2d0*rMM**2d0*(cMM - rMM) + 4d0*Ten779*coupl(nGC_4)**2d0*rMM**2d0&
               *(-cMM + rMM) + Ten780*rMM**2d0*(2d0*cMM*coupl(nGC_197)**2d0 +  &
               cMM*coupl(nGC_361)**2d0 - 2d0*coupl(nGC_197)**2d0*rMM - coupl(  &
               nGC_361)**2d0*rMM) + Ten781*coupl(nGC_358)**2d0*rMM**2d0*(cMM - &
               rMM) + 2d0*Ten782*rMM**2d0*(-cMM*coupl(nGC_208)**2d0 - cMM*coupl&
               (nGC_211)**2d0 + cMM*coupl(nGC_362)**2d0 + coupl(nGC_208)**2d0* &
               rMM + coupl(nGC_211)**2d0*rMM - coupl(nGC_362)**2d0*rMM) + pi** &
               2d0*(-8d0*aEW*cMM**2d0/(pi*rMM) + 8d0*aEW*rMM/pi + cMM*coupl(   &
               nGC_197)**2d0/(2d0*pi**2d0) + cMM*coupl(nGC_208)**2d0/(2d0*pi** &
               2d0) - 2d0*cMM*coupl(nGC_208)*coupl(nGC_211)/pi**2d0 + cMM*coupl&
               (nGC_211)**2d0/(2d0*pi**2d0) - cMM*coupl(nGC_4)**2d0/pi**2d0))/(&
               16d0*pi**2d0) + cima*coupl(nGC_357)*dtHl_QED1/cMHL**2d0 + cima* &
               coupl(nGC_360)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMM_QED2 = cone*real(dMM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter165
end module ctparameter165
