!******************************************************************************!
!                                                                              !
!    ctparameter183.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter183.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter183
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter183()
  if (db_QED2_scheme .eq. 3) then
    db_QED2 = (pi**2d0*(-MPC**2d0*Nc*coupl(nGC_334)*coupl(nGC_337)/(3d0*pi**2d0&
              *MHC**2d0) - MPC**2d0*Nc*coupl(nGC_340)*coupl(nGC_343)/(3d0*pi** &
              2d0*MHC**2d0) - MPC**2d0*Nc*coupl(nGC_346)*coupl(nGC_349)/(3d0*pi&
              **2d0*MHC**2d0) - MPC**2d0*Nc*coupl(nGC_364)*coupl(nGC_367)/(3d0*&
              pi**2d0*MHC**2d0) - MPC**2d0*Nc*coupl(nGC_370)*coupl(nGC_373)/(  &
              3d0*pi**2d0*MHC**2d0) - MPC**2d0*Nc*coupl(nGC_382)*coupl(nGC_385 &
              )/(3d0*pi**2d0*MHC**2d0) - MPC**2d0*coupl(nGC_352)*coupl(nGC_355 &
              )/(3d0*pi**2d0*MHC**2d0) - MPC**2d0*coupl(nGC_358)*coupl(nGC_361 &
              )/(3d0*pi**2d0*MHC**2d0) - MPC**2d0*coupl(nGC_376)*coupl(nGC_379 &
              )/(3d0*pi**2d0*MHC**2d0) + Nc*cMB**2d0*coupl(nGC_340)*coupl(     &
              nGC_343)/(pi**2d0*MHC**2d0) + Nc*cMB**2d0*coupl(nGC_370)*coupl(  &
              nGC_373)/(pi**2d0*MHC**2d0) + Nc*cMC**2d0*coupl(nGC_334)*coupl(  &
              nGC_337)/(pi**2d0*MHC**2d0) + Nc*cMC**2d0*coupl(nGC_364)*coupl(  &
              nGC_367)/(pi**2d0*MHC**2d0) + Nc*cMD**2d0*coupl(nGC_346)*coupl(  &
              nGC_349)/(pi**2d0*MHC**2d0) + Nc*cMD**2d0*coupl(nGC_382)*coupl(  &
              nGC_385)/(pi**2d0*MHC**2d0) + Nc*cMS**2d0*coupl(nGC_334)*coupl(  &
              nGC_337)/(pi**2d0*MHC**2d0) + Nc*cMS**2d0*coupl(nGC_364)*coupl(  &
              nGC_367)/(pi**2d0*MHC**2d0) + Nc*cMT**2d0*coupl(nGC_340)*coupl(  &
              nGC_343)/(pi**2d0*MHC**2d0) + Nc*cMT**2d0*coupl(nGC_370)*coupl(  &
              nGC_373)/(pi**2d0*MHC**2d0) + Nc*cMU**2d0*coupl(nGC_346)*coupl(  &
              nGC_349)/(pi**2d0*MHC**2d0) + Nc*cMU**2d0*coupl(nGC_382)*coupl(  &
              nGC_385)/(pi**2d0*MHC**2d0) + cME**2d0*coupl(nGC_352)*coupl(     &
              nGC_355)/(pi**2d0*MHC**2d0) + cMM**2d0*coupl(nGC_358)*coupl(     &
              nGC_361)/(pi**2d0*MHC**2d0) + cMTA**2d0*coupl(nGC_376)*coupl(    &
              nGC_379)/(pi**2d0*MHC**2d0) - 2d0*coupl(nGC_231)*coupl(nGC_237)/(&
              pi**2d0*MHC**2d0) - 2d0*coupl(nGC_321)*coupl(nGC_324)/(pi**2d0*  &
              MHC**2d0)) + 2d0*MPC**2d0*Nc*Ten1083*(-coupl(nGC_346)*coupl(     &
              nGC_349) - coupl(nGC_382)*coupl(nGC_385))/MHC**2d0 + 2d0*MPC**2d0&
              *Nc*Ten1085*(-coupl(nGC_346)*coupl(nGC_349) - coupl(nGC_382)*    &
              coupl(nGC_385))/MHC**2d0 + 2d0*MPC**2d0*Nc*Ten1086*(-coupl(      &
              nGC_334)*coupl(nGC_337) - coupl(nGC_364)*coupl(nGC_367))/MHC**2d0&
               + 2d0*MPC**2d0*Nc*Ten1088*(-coupl(nGC_334)*coupl(nGC_337) -     &
              coupl(nGC_364)*coupl(nGC_367))/MHC**2d0 + 2d0*MPC**2d0*Nc*Ten1089&
              *(-coupl(nGC_340)*coupl(nGC_343) - coupl(nGC_370)*coupl(nGC_373  &
              ))/MHC**2d0 + 2d0*MPC**2d0*Nc*Ten1091*(-coupl(nGC_340)*coupl(    &
              nGC_343) - coupl(nGC_370)*coupl(nGC_373))/MHC**2d0 - 2d0*MPC**2d0&
              *Ten1092*coupl(nGC_352)*coupl(nGC_355)/MHC**2d0 - 2d0*MPC**2d0*  &
              Ten1093*coupl(nGC_358)*coupl(nGC_361)/MHC**2d0 - 2d0*MPC**2d0*   &
              Ten1094*coupl(nGC_376)*coupl(nGC_379)/MHC**2d0 - 2d0*MPC**2d0*   &
              Ten1098*coupl(nGC_352)*coupl(nGC_355)/MHC**2d0 - 2d0*MPC**2d0*   &
              Ten1099*coupl(nGC_358)*coupl(nGC_361)/MHC**2d0 - 2d0*MPC**2d0*   &
              Ten1100*coupl(nGC_376)*coupl(nGC_379)/MHC**2d0 + 2d0*Nc*Ten1080* &
              cMD*cMU*(-coupl(nGC_346)*coupl(nGC_385) - coupl(nGC_349)*coupl(  &
              nGC_382))/MHC**2d0 + 2d0*Nc*Ten1081*cMC*cMS*(-coupl(nGC_334)*    &
              coupl(nGC_367) - coupl(nGC_337)*coupl(nGC_364))/MHC**2d0 + 2d0*Nc&
              *Ten1082*cMB*cMT*(-coupl(nGC_340)*coupl(nGC_370) - coupl(nGC_343 &
              )*coupl(nGC_373))/MHC**2d0 + 8d0*Nc*Ten1084*(-coupl(nGC_346)*    &
              coupl(nGC_349) - coupl(nGC_382)*coupl(nGC_385))/MHC**2d0 + 8d0*Nc&
              *Ten1087*(-coupl(nGC_334)*coupl(nGC_337) - coupl(nGC_364)*coupl( &
              nGC_367))/MHC**2d0 + 8d0*Nc*Ten1090*(-coupl(nGC_340)*coupl(      &
              nGC_343) - coupl(nGC_370)*coupl(nGC_373))/MHC**2d0 - cima*Ten0*  &
              coupl(nGC_129)/(2d0*MHC**2d0) - cima*Ten1*coupl(nGC_55)/(2d0*MHC &
              **2d0) + Ten1072*(4d0*MPC**2d0*coupl(nGC_172)*coupl(nGC_179) +   &
              coupl(nGC_295)*coupl(nGC_311))/MHC**2d0 + Ten1073*(4d0*MPC**2d0* &
              coupl(nGC_172)*coupl(nGC_178) + coupl(nGC_293)*coupl(nGC_309))/  &
              MHC**2d0 + Ten1077*coupl(nGC_279)*coupl(nGC_287)/MHC**2d0 +      &
              Ten1078*coupl(nGC_277)*coupl(nGC_288)/MHC**2d0 - 8d0*Ten1095*    &
              coupl(nGC_352)*coupl(nGC_355)/MHC**2d0 - 8d0*Ten1096*coupl(      &
              nGC_358)*coupl(nGC_361)/MHC**2d0 - 8d0*Ten1097*coupl(nGC_376)*   &
              coupl(nGC_379)/MHC**2d0 - cima*Ten13*coupl(nGC_56)/MHC**2d0 -    &
              cima*Ten14*coupl(nGC_54)/(2d0*MHC**2d0) - cima*Ten2*coupl(nGC_134&
              )/(2d0*MHC**2d0) - cima*Ten3*coupl(nGC_57)/MHC**2d0)/(16d0*pi**  &
              2d0) - cima*coupl(nGC_252)*dtHl_QED1/(MHC**2d0*cMHL**2d0) - cima*&
              coupl(nGC_244)*dtHh_QED1/(MHC**2d0*cMHH**2d0)
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter183
end module ctparameter183
