!******************************************************************************!
!                                                                              !
!    ctparameter184.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter184.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter184
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter184()
  if (db_QED2_scheme .eq. 4) then
    db_QED2 = (pi**2d0*(2d0*MPA**2d0*Nc*coupl(nGC_335)*coupl(nGC_338)/(3d0*pi**&
              2d0*MHA**2d0) + 2d0*MPA**2d0*Nc*coupl(nGC_341)*coupl(nGC_344)/(  &
              3d0*pi**2d0*MHA**2d0) + 2d0*MPA**2d0*Nc*coupl(nGC_347)*coupl(    &
              nGC_350)/(3d0*pi**2d0*MHA**2d0) + 2d0*MPA**2d0*Nc*coupl(nGC_365)*&
              coupl(nGC_368)/(3d0*pi**2d0*MHA**2d0) + 2d0*MPA**2d0*Nc*coupl(   &
              nGC_371)*coupl(nGC_374)/(3d0*pi**2d0*MHA**2d0) + 2d0*MPA**2d0*Nc*&
              coupl(nGC_383)*coupl(nGC_386)/(3d0*pi**2d0*MHA**2d0) + 2d0*MPA** &
              2d0*coupl(nGC_353)*coupl(nGC_356)/(3d0*pi**2d0*MHA**2d0) + 2d0*  &
              MPA**2d0*coupl(nGC_359)*coupl(nGC_362)/(3d0*pi**2d0*MHA**2d0) +  &
              2d0*MPA**2d0*coupl(nGC_377)*coupl(nGC_380)/(3d0*pi**2d0*MHA**2d0 &
              ) - 4d0*Nc*cMB**2d0*coupl(nGC_341)*coupl(nGC_344)/(pi**2d0*MHA** &
              2d0) - 4d0*Nc*cMC**2d0*coupl(nGC_335)*coupl(nGC_338)/(pi**2d0*MHA&
              **2d0) - 4d0*Nc*cMD**2d0*coupl(nGC_347)*coupl(nGC_350)/(pi**2d0* &
              MHA**2d0) - 4d0*Nc*cMS**2d0*coupl(nGC_365)*coupl(nGC_368)/(pi**  &
              2d0*MHA**2d0) - 4d0*Nc*cMT**2d0*coupl(nGC_371)*coupl(nGC_374)/(pi&
              **2d0*MHA**2d0) - 4d0*Nc*cMU**2d0*coupl(nGC_383)*coupl(nGC_386)/(&
              pi**2d0*MHA**2d0) - 4d0*cME**2d0*coupl(nGC_353)*coupl(nGC_356)/( &
              pi**2d0*MHA**2d0) - 4d0*cMM**2d0*coupl(nGC_359)*coupl(nGC_362)/( &
              pi**2d0*MHA**2d0) - 4d0*cMTA**2d0*coupl(nGC_377)*coupl(nGC_380)/(&
              pi**2d0*MHA**2d0)) + 4d0*MPA**2d0*Nc*Ten1053*coupl(nGC_383)*coupl&
              (nGC_386)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1055*coupl(nGC_383)*coupl&
              (nGC_386)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1056*coupl(nGC_335)*coupl&
              (nGC_338)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1058*coupl(nGC_335)*coupl&
              (nGC_338)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1059*coupl(nGC_371)*coupl&
              (nGC_374)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1061*coupl(nGC_371)*coupl&
              (nGC_374)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1062*coupl(nGC_347)*coupl&
              (nGC_350)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1064*coupl(nGC_347)*coupl&
              (nGC_350)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1065*coupl(nGC_365)*coupl&
              (nGC_368)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1067*coupl(nGC_365)*coupl&
              (nGC_368)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1068*coupl(nGC_341)*coupl&
              (nGC_344)/MHA**2d0 + 4d0*MPA**2d0*Nc*Ten1070*coupl(nGC_341)*coupl&
              (nGC_344)/MHA**2d0 + 4d0*MPA**2d0*Ten1044*coupl(nGC_353)*coupl(  &
              nGC_356)/MHA**2d0 + 4d0*MPA**2d0*Ten1046*coupl(nGC_353)*coupl(   &
              nGC_356)/MHA**2d0 + 4d0*MPA**2d0*Ten1047*coupl(nGC_359)*coupl(   &
              nGC_362)/MHA**2d0 + 4d0*MPA**2d0*Ten1049*coupl(nGC_359)*coupl(   &
              nGC_362)/MHA**2d0 + 4d0*MPA**2d0*Ten1050*coupl(nGC_377)*coupl(   &
              nGC_380)/MHA**2d0 + 4d0*MPA**2d0*Ten1052*coupl(nGC_377)*coupl(   &
              nGC_380)/MHA**2d0 - 4d0*Nc*Ten1037*cMU**2d0*coupl(nGC_383)*coupl(&
              nGC_386)/MHA**2d0 - 4d0*Nc*Ten1038*cMC**2d0*coupl(nGC_335)*coupl(&
              nGC_338)/MHA**2d0 - 4d0*Nc*Ten1039*cMT**2d0*coupl(nGC_371)*coupl(&
              nGC_374)/MHA**2d0 - 4d0*Nc*Ten1040*cMD**2d0*coupl(nGC_347)*coupl(&
              nGC_350)/MHA**2d0 - 4d0*Nc*Ten1041*cMS**2d0*coupl(nGC_365)*coupl(&
              nGC_368)/MHA**2d0 - 4d0*Nc*Ten1042*cMB**2d0*coupl(nGC_341)*coupl(&
              nGC_344)/MHA**2d0 + 16d0*Nc*Ten1054*coupl(nGC_383)*coupl(nGC_386 &
              )/MHA**2d0 + 16d0*Nc*Ten1057*coupl(nGC_335)*coupl(nGC_338)/MHA** &
              2d0 + 16d0*Nc*Ten1060*coupl(nGC_371)*coupl(nGC_374)/MHA**2d0 +   &
              16d0*Nc*Ten1063*coupl(nGC_347)*coupl(nGC_350)/MHA**2d0 + 16d0*Nc*&
              Ten1066*coupl(nGC_365)*coupl(nGC_368)/MHA**2d0 + 16d0*Nc*Ten1069*&
              coupl(nGC_341)*coupl(nGC_344)/MHA**2d0 - cima*Ten0*coupl(nGC_131 &
              )/(2d0*MHA**2d0) - cima*Ten1*coupl(nGC_59)/(2d0*MHA**2d0) +      &
              Ten1030*(4d0*MPA**2d0*coupl(nGC_214)*coupl(nGC_216) + coupl(     &
              nGC_296)*coupl(nGC_312))/MHA**2d0 + Ten1031*(4d0*MPA**2d0*coupl( &
              nGC_213)*coupl(nGC_216) + coupl(nGC_294)*coupl(nGC_310))/MHA**2d0&
               + Ten1032*coupl(nGC_280)*coupl(nGC_290)/MHA**2d0 + Ten1033*coupl&
              (nGC_278)*coupl(nGC_289)/MHA**2d0 - 4d0*Ten1034*cME**2d0*coupl(  &
              nGC_353)*coupl(nGC_356)/MHA**2d0 - 4d0*Ten1035*cMM**2d0*coupl(   &
              nGC_359)*coupl(nGC_362)/MHA**2d0 - 4d0*Ten1036*cMTA**2d0*coupl(  &
              nGC_377)*coupl(nGC_380)/MHA**2d0 + 16d0*Ten1045*coupl(nGC_353)*  &
              coupl(nGC_356)/MHA**2d0 + 16d0*Ten1048*coupl(nGC_359)*coupl(     &
              nGC_362)/MHA**2d0 + 16d0*Ten1051*coupl(nGC_377)*coupl(nGC_380)/  &
              MHA**2d0 - cima*Ten13*coupl(nGC_54)/MHA**2d0 - cima*Ten14*coupl( &
              nGC_58)/(2d0*MHA**2d0) - cima*Ten2*coupl(nGC_135)/(2d0*MHA**2d0  &
              ) - cima*Ten3*coupl(nGC_55)/MHA**2d0)/(16d0*pi**2d0) - cima*coupl&
              (nGC_253)*dtHl_QED1/(MHA**2d0*cMHL**2d0) - cima*coupl(nGC_245)*  &
              dtHh_QED1/(MHA**2d0*cMHH**2d0)
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter184
end module ctparameter184
