!******************************************************************************!
!                                                                              !
!    ctparameter205.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter205.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter205
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter205()
  if (da_QED2_scheme .eq. 3) then
    da_QED2 = cima*V_OS_Hveve_T1_QED3*vev1/(32d0*pi**2d0) + ca**2d0*dZHhHl_QED2&
              /2d0 + ca*dZHh_QED2*sa/2d0 - ca*dZHl_QED2*sa/2d0 - dZHlHh_QED2*sa&
              **2d0/2d0
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter205
end module ctparameter205
