!******************************************************************************!
!                                                                              !
!    ctparameter209.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter209.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter209
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter209()
  if (da_QED2_scheme .eq. 7) then
    da_QED2 = (4d0*MPS**2d0*Nc*Ten1160*coupl(nGC_381)*coupl(nGC_384)/(MHH**2d0 &
               - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1162*coupl(nGC_381)*coupl(     &
              nGC_384)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1163*coupl(  &
              nGC_333)*coupl(nGC_336)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc* &
              Ten1165*coupl(nGC_333)*coupl(nGC_336)/(MHH**2d0 - MHL**2d0) + 4d0&
              *MPS**2d0*Nc*Ten1166*coupl(nGC_369)*coupl(nGC_372)/(MHH**2d0 -   &
              MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1168*coupl(nGC_369)*coupl(nGC_372 &
              )/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1169*coupl(nGC_345)*&
              coupl(nGC_348)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1171*  &
              coupl(nGC_345)*coupl(nGC_348)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**  &
              2d0*Nc*Ten1172*coupl(nGC_363)*coupl(nGC_366)/(MHH**2d0 - MHL**2d0&
              ) + 4d0*MPS**2d0*Nc*Ten1174*coupl(nGC_363)*coupl(nGC_366)/(MHH** &
              2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1175*coupl(nGC_339)*coupl(  &
              nGC_342)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Nc*Ten1177*coupl(  &
              nGC_339)*coupl(nGC_342)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*    &
              Ten1151*coupl(nGC_351)*coupl(nGC_354)/(MHH**2d0 - MHL**2d0) + 4d0&
              *MPS**2d0*Ten1153*coupl(nGC_351)*coupl(nGC_354)/(MHH**2d0 - MHL**&
              2d0) + 4d0*MPS**2d0*Ten1154*coupl(nGC_357)*coupl(nGC_360)/(MHH** &
              2d0 - MHL**2d0) + 4d0*MPS**2d0*Ten1156*coupl(nGC_357)*coupl(     &
              nGC_360)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*Ten1157*coupl(     &
              nGC_375)*coupl(nGC_378)/(MHH**2d0 - MHL**2d0) + 4d0*MPS**2d0*    &
              Ten1159*coupl(nGC_375)*coupl(nGC_378)/(MHH**2d0 - MHL**2d0) + 4d0&
              *Nc*Ten1142*cMU**2d0*coupl(nGC_381)*coupl(nGC_384)/(MHH**2d0 -   &
              MHL**2d0) + 4d0*Nc*Ten1143*cMC**2d0*coupl(nGC_333)*coupl(nGC_336 &
              )/(MHH**2d0 - MHL**2d0) + 4d0*Nc*Ten1144*cMT**2d0*coupl(nGC_369)*&
              coupl(nGC_372)/(MHH**2d0 - MHL**2d0) + 4d0*Nc*Ten1145*cMD**2d0*  &
              coupl(nGC_345)*coupl(nGC_348)/(MHH**2d0 - MHL**2d0) + 4d0*Nc*    &
              Ten1146*cMS**2d0*coupl(nGC_363)*coupl(nGC_366)/(MHH**2d0 - MHL** &
              2d0) + 4d0*Nc*Ten1147*cMB**2d0*coupl(nGC_339)*coupl(nGC_342)/(MHH&
              **2d0 - MHL**2d0) + 16d0*Nc*Ten1161*coupl(nGC_381)*coupl(nGC_384 &
              )/(MHH**2d0 - MHL**2d0) + 16d0*Nc*Ten1164*coupl(nGC_333)*coupl(  &
              nGC_336)/(MHH**2d0 - MHL**2d0) + 16d0*Nc*Ten1167*coupl(nGC_369)* &
              coupl(nGC_372)/(MHH**2d0 - MHL**2d0) + 16d0*Nc*Ten1170*coupl(    &
              nGC_345)*coupl(nGC_348)/(MHH**2d0 - MHL**2d0) + 16d0*Nc*Ten1173* &
              coupl(nGC_363)*coupl(nGC_366)/(MHH**2d0 - MHL**2d0) + 16d0*Nc*   &
              Ten1176*coupl(nGC_339)*coupl(nGC_342)/(MHH**2d0 - MHL**2d0) +    &
              cima*Ten0*coupl(nGC_16)/(2d0*(MHH**2d0 - MHL**2d0)) + cima*Ten1* &
              coupl(nGC_130)/(2d0*(MHH**2d0 - MHL**2d0)) + Ten1133*(-8d0*MPS** &
              2d0*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_300)*coupl(nGC_314 &
              ) + 2d0*coupl(nGC_328)*coupl(nGC_331) - 4d0*coupl(nGC_329)*coupl(&
              nGC_332))/(2d0*(MHH**2d0 - MHL**2d0)) + Ten1134*(-4d0*MPS**2d0*  &
              coupl(nGC_214)*coupl(nGC_215) - coupl(nGC_298)*coupl(nGC_308))/( &
              MHH**2d0 - MHL**2d0) - Ten1135*coupl(nGC_282)*coupl(nGC_292)/(2d0&
              *(MHH**2d0 - MHL**2d0)) + Ten1136*(-4d0*MPS**2d0*coupl(nGC_172)* &
              coupl(nGC_179) - 4d0*MPS**2d0*coupl(nGC_173)*coupl(nGC_178) + 2d0&
              *coupl(nGC_260)*coupl(nGC_271) - 4d0*coupl(nGC_261)*coupl(nGC_272&
              ) - coupl(nGC_299)*coupl(nGC_313))/(MHH**2d0 - MHL**2d0) + 2d0*  &
              Ten1137*(-2d0*MPS**2d0*coupl(nGC_172)*coupl(nGC_178) - 2d0*MPS** &
              2d0*coupl(nGC_173)*coupl(nGC_179) - coupl(nGC_297)*coupl(nGC_307 &
              ))/(MHH**2d0 - MHL**2d0) - Ten1138*coupl(nGC_281)*coupl(nGC_291  &
              )/(MHH**2d0 - MHL**2d0) + 4d0*Ten1139*cME**2d0*coupl(nGC_351)*   &
              coupl(nGC_354)/(MHH**2d0 - MHL**2d0) + 4d0*Ten1140*cMM**2d0*coupl&
              (nGC_357)*coupl(nGC_360)/(MHH**2d0 - MHL**2d0) + 4d0*Ten1141*cMTA&
              **2d0*coupl(nGC_375)*coupl(nGC_378)/(MHH**2d0 - MHL**2d0) -      &
              Ten1148*coupl(nGC_234)*coupl(nGC_236)/(2d0*(MHH**2d0 - MHL**2d0  &
              )) - Ten1149*coupl(nGC_233)*coupl(nGC_236)/(MHH**2d0 - MHL**2d0  &
              ) - Ten1150*coupl(nGC_233)*coupl(nGC_235)/(2d0*(MHH**2d0 - MHL** &
              2d0)) + 16d0*Ten1152*coupl(nGC_351)*coupl(nGC_354)/(MHH**2d0 -   &
              MHL**2d0) + 16d0*Ten1155*coupl(nGC_357)*coupl(nGC_360)/(MHH**2d0 &
               - MHL**2d0) + 16d0*Ten1158*coupl(nGC_375)*coupl(nGC_378)/(MHH** &
              2d0 - MHL**2d0) + cima*Ten13*coupl(nGC_132)/(MHH**2d0 - MHL**2d0 &
              ) + cima*Ten14*coupl(nGC_133)/(2d0*(MHH**2d0 - MHL**2d0)) + cima*&
              Ten2*coupl(nGC_17)/(2d0*(MHH**2d0 - MHL**2d0)) + cima*Ten3*coupl(&
              nGC_128)/(MHH**2d0 - MHL**2d0) + pi**2d0*(64d0*MPS**2d0*Nc*cMHH**&
              2d0*cMHL**2d0*coupl(nGC_333)*coupl(nGC_336)/(96d0*pi**2d0*MHH**  &
              2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL** &
              2d0) + 64d0*MPS**2d0*Nc*cMHH**2d0*cMHL**2d0*coupl(nGC_339)*coupl(&
              nGC_342)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**  &
              2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) + 64d0*MPS**2d0*Nc*cMHH**2d0*  &
              cMHL**2d0*coupl(nGC_345)*coupl(nGC_348)/(96d0*pi**2d0*MHH**2d0*  &
              cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0  &
              ) + 64d0*MPS**2d0*Nc*cMHH**2d0*cMHL**2d0*coupl(nGC_363)*coupl(   &
              nGC_366)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**  &
              2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) + 64d0*MPS**2d0*Nc*cMHH**2d0*  &
              cMHL**2d0*coupl(nGC_369)*coupl(nGC_372)/(96d0*pi**2d0*MHH**2d0*  &
              cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0  &
              ) + 64d0*MPS**2d0*Nc*cMHH**2d0*cMHL**2d0*coupl(nGC_381)*coupl(   &
              nGC_384)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**  &
              2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) + 64d0*MPS**2d0*cMHH**2d0*cMHL &
              **2d0*coupl(nGC_351)*coupl(nGC_354)/(96d0*pi**2d0*MHH**2d0*cMHH**&
              2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) + 64d0&
              *MPS**2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_357)*coupl(nGC_360)/(96d0&
              *pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*   &
              cMHH**2d0*cMHL**2d0) + 64d0*MPS**2d0*cMHH**2d0*cMHL**2d0*coupl(  &
              nGC_375)*coupl(nGC_378)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**  &
              2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) - 384d0*Nc*cMB**&
              2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_339)*coupl(nGC_342)/(96d0*pi** &
              2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**  &
              2d0*cMHL**2d0) - 384d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*coupl(    &
              nGC_333)*coupl(nGC_336)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**  &
              2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) - 384d0*Nc*cMD**&
              2d0*cMHH**2d0*cMHL**2d0*coupl(nGC_345)*coupl(nGC_348)/(96d0*pi** &
              2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**  &
              2d0*cMHL**2d0) - 384d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*coupl(    &
              nGC_363)*coupl(nGC_366)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**  &
              2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) - 384d0*Nc*cMHH &
              **2d0*cMHL**2d0*cMT**2d0*coupl(nGC_369)*coupl(nGC_372)/(96d0*pi**&
              2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**  &
              2d0*cMHL**2d0) - 384d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*coupl(    &
              nGC_381)*coupl(nGC_384)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**  &
              2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) - 384d0*cME**2d0&
              *cMHH**2d0*cMHL**2d0*coupl(nGC_351)*coupl(nGC_354)/(96d0*pi**2d0*&
              MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*  &
              cMHL**2d0) - 384d0*cMHH**2d0*cMHL**2d0*cMM**2d0*coupl(nGC_357)*  &
              coupl(nGC_360)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*&
              pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0) - 384d0*cMHH**2d0*cMHL**2d0&
              *cMTA**2d0*coupl(nGC_375)*coupl(nGC_378)/(96d0*pi**2d0*MHH**2d0* &
              cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0  &
              ) + 192d0*cMHH**2d0*cMHL**2d0*coupl(nGC_261)*coupl(nGC_272)/(96d0&
              *pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*pi**2d0*MHL**2d0*   &
              cMHH**2d0*cMHL**2d0) + 96d0*cMHH**2d0*cMHL**2d0*coupl(nGC_329)*  &
              coupl(nGC_332)/(96d0*pi**2d0*MHH**2d0*cMHH**2d0*cMHL**2d0 - 96d0*&
              pi**2d0*MHL**2d0*cMHH**2d0*cMHL**2d0)))/(16d0*pi**2d0) + cima*   &
              coupl(nGC_236)*dtHl_QED1/(cMHL**2d0*(MHH**2d0 - MHL**2d0)) + cima&
              *coupl(nGC_233)*dtHh_QED1/(cMHH**2d0*(MHH**2d0 - MHL**2d0))
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter209
end module ctparameter209
