!******************************************************************************!
!                                                                              !
!    ctparameter50.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter50.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter50
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter50()
  V_OS_Hveve_T1_QED3 = (4d0*cima*pi**2d0*Ten1105*cMHA**2d0*ee**3d0*sa*sb*(-ca* &
                       sb + cb*sa)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*&
                       Ten1106*cMHC**2d0*ee**3d0*sa*sb*(-ca*sb + cb*sa)/(cMW*cb&
                       *sw**3d0) + 8d0*cima*pi**2d0*Ten1107*cMHC**2d0*ee**3d0* &
                       sa*sb*(-ca*sb + cb*sa)/(cMW*cb*sw**3d0) + 16d0*cima*pi**&
                       2d0*Ten1108*cMW*ee**3d0*sa*(-cMHH**2d0*ca*cb - cMHH**2d0&
                       *sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**2d0*sa*sb)/(cMHH &
                       **2d0*sw**3d0) + 4d0*cima*pi**2d0*Ten1109*cMHA**2d0*ee**&
                       3d0*sa*sb*(-ca*sb + cb*sa)/(cMW*cb*cw**2d0*sw**3d0) +   &
                       8d0*cima*pi**2d0*Ten1110*cMW*ee**3d0*sa*(-cMHH**2d0*ca* &
                       cb*cw**2d0 - cMHH**2d0*cw**2d0*sa*sb + 2d0*cMW**2d0*ca* &
                       cb + 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*cw**6d0*sw**3d0) +  &
                       4d0*cima*pi**2d0*Ten1111*cMHA**2d0*ca*ee**3d0*sb*(ca*cb &
                        + sa*sb)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*  &
                       Ten1112*cMHC**2d0*ca*ee**3d0*sb*(ca*cb + sa*sb)/(cMW*cb*&
                       sw**3d0) + 8d0*cima*pi**2d0*Ten1113*cMHC**2d0*ca*ee**3d0&
                       *sb*(ca*cb + sa*sb)/(cMW*cb*sw**3d0) + 16d0*cima*pi**2d0&
                       *Ten1114*cMW*ca*ee**3d0*(-cMHL**2d0*ca*sb + cMHL**2d0*cb&
                       *sa + 2d0*cMW**2d0*ca*sb - 2d0*cMW**2d0*cb*sa)/(cMHL**  &
                       2d0*sw**3d0) + 4d0*cima*pi**2d0*Ten1115*cMHA**2d0*ca*ee &
                       **3d0*sb*(ca*cb + sa*sb)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*&
                       cima*pi**2d0*Ten1116*cMW*ca*ee**3d0*(-cMHL**2d0*ca*cw** &
                       2d0*sb + cMHL**2d0*cb*cw**2d0*sa + 2d0*cMW**2d0*ca*sb - &
                       2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cw**6d0*sw**3d0) + 32d0* &
                       cima*pi**2d0*Ten1117*cMW*ee**3d0*(cMHH**2d0*ca**2d0*sb  &
                        - cMHH**2d0*ca*cb*sa + cMHL**2d0*ca*cb*sa + cMHL**2d0* &
                       sa**2d0*sb)/(cMHH**2d0*cMHL**2d0*sw**3d0) + 16d0*cima*pi&
                       **2d0*Ten1118*cMW*ee**3d0*(cMHH**2d0*ca**2d0*sb - cMHH**&
                       2d0*ca*cb*sa + cMHL**2d0*ca*cb*sa + cMHL**2d0*sa**2d0*sb&
                       )/(cMHH**2d0*cMHL**2d0*cw**4d0*sw**3d0) + 4d0*cima*pi** &
                       2d0*Ten1121*ee**3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*cw**  &
                       2d0*sw**3d0) + 8d0*cima*pi**2d0*Ten1122*ee**3d0*sa*sb*( &
                       ca*sb - cb*sa)/(cMW*cb*sw**3d0) + 8d0*cima*pi**2d0*     &
                       Ten1123*ee**3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*sw**3d0   &
                       ) + 16d0*cima*pi**2d0*Ten1124*ee**3d0*sa*(cMHH**2d0*ca* &
                       cb + cMHH**2d0*sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0&
                       *sa*sb)/(cMHH**2d0*cMW*sw**3d0) + 4d0*cima*pi**2d0*     &
                       Ten1125*ee**3d0*sa*sb*(ca*sb - cb*sa)/(cMW*cb*cw**2d0*sw&
                       **3d0) + 8d0*cima*pi**2d0*Ten1126*ee**3d0*sa*(cMHH**2d0*&
                       ca*cb*cw**2d0 + cMHH**2d0*cw**2d0*sa*sb - 2d0*cMW**2d0* &
                       ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*cMW*cw**4d0*sw** &
                       3d0) + 4d0*cima*pi**2d0*Ten1127*ca*ee**3d0*sb*(-ca*cb - &
                       sa*sb)/(cMW*cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*     &
                       Ten1128*ca*ee**3d0*sb*(-ca*cb - sa*sb)/(cMW*cb*sw**3d0  &
                       ) + 8d0*cima*pi**2d0*Ten1129*ca*ee**3d0*sb*(-ca*cb - sa*&
                       sb)/(cMW*cb*sw**3d0) + 16d0*cima*pi**2d0*Ten1130*ca*ee**&
                       3d0*(cMHL**2d0*ca*sb - cMHL**2d0*cb*sa - 2d0*cMW**2d0*ca&
                       *sb + 2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cMW*sw**3d0) + 4d0*&
                       cima*pi**2d0*Ten1131*ca*ee**3d0*sb*(-ca*cb - sa*sb)/(cMW&
                       *cb*cw**2d0*sw**3d0) + 8d0*cima*pi**2d0*Ten1132*ca*ee** &
                       3d0*(cMHL**2d0*ca*cw**2d0*sb - cMHL**2d0*cb*cw**2d0*sa  &
                        - 2d0*cMW**2d0*ca*sb + 2d0*cMW**2d0*cb*sa)/(cMHL**2d0* &
                       cMW*cw**4d0*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      V_OS_Hveve_T1_QED3 = cone*real(V_OS_Hveve_T1_QED3,kind=dp)
    end if 
end subroutine set_ctparameter50
end module ctparameter50
