!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  if (dZeMinusR_QED2_scheme .eq. 2) then
    dZeMinusR_QED2 = (Ten452*coupl(nGC_4)**2d0 + Ten513*(-2d0*coupl(nGC_208)** &
                     2d0 + coupl(nGC_356)**2d0) + Ten514*coupl(nGC_353)**2d0 - &
                     Ten515*coupl(nGC_354)**2d0 - Ten516*coupl(nGC_351)**2d0 - &
                     Ten757*coupl(nGC_355)**2d0 - Ten758*coupl(nGC_352)**2d0 - &
                     coupl(nGC_208)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZeMinusR_QED2 = cone*real(dZeMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter67
end module ctparameter67
