!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  dtHl_QED1 = (4d0*cima*Nc*Ten10*cMD*coupl(nGC_345) + 4d0*cima*Nc*Ten11*cMS*   &
              coupl(nGC_363) + 4d0*cima*Nc*Ten12*cMB*coupl(nGC_342) + 4d0*cima*&
              Nc*Ten7*cMU*coupl(nGC_381) + 4d0*cima*Nc*Ten8*cMC*coupl(nGC_333  &
              ) + 4d0*cima*Nc*Ten9*cMT*coupl(nGC_369) - cima*Ten0*coupl(nGC_234&
              )/2d0 + cima*Ten1*(-coupl(nGC_300) + 2d0*coupl(nGC_328) + 4d0*   &
              coupl(nGC_329))/2d0 - cima*Ten13*coupl(nGC_291) - cima*Ten14*    &
              coupl(nGC_292)/2d0 - cima*Ten2*coupl(nGC_233)/2d0 + cima*Ten3*(  &
              2d0*coupl(nGC_260) + 4d0*coupl(nGC_261) - coupl(nGC_299)) + 4d0* &
              cima*Ten4*cME*coupl(nGC_351) + 4d0*cima*Ten5*cMM*coupl(nGC_357   &
              ) + 4d0*cima*Ten6*cMTA*coupl(nGC_375) + pi**2d0*(-2d0*cima*cMW** &
              2d0*coupl(nGC_261)/pi**2d0 - cima*cMZ**2d0*coupl(nGC_329)/pi**2d0&
              ))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_QED1 = cone*real(dtHl_QED1,kind=dp)
    end if 
end subroutine set_ctparameter71
end module ctparameter71
