!******************************************************************************!
!                                                                              !
!    ctparameter76.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter76.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter76
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter76()
  if (dZdL_QCD2_scheme .eq. 1) then
    dZdL_QCD2 = (pi**2d0*(-Nc*coupl(nGC_13)**2d0*sq2**2d0/(4d0*pi**2d0) + coupl&
                (nGC_13)**2d0*sq2**2d0/(4d0*pi**2d0*Nc)) + Ten518*coupl(nGC_13 &
                )**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten524*coupl(nGC_13 &
                )**2d0*sq2**2d0*(Nc**2d0 - 1d0)/(2d0*Nc) + Ten535*cMD_reg**2d0*&
                coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/Nc + Ten542*      &
                cMD_reg**2d0*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0)/Nc)/( &
                16d0*pi**2d0)
    dZdL_QCD2 = cone*real(dZdL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter76
end module ctparameter76
