!******************************************************************************!
!                                                                              !
!    ctparameter87.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter87.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-13 19:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter87
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter87()
  OS_Hvv_2N_db_QED2 = (pi*Ten1101*aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa&
                       - ca*sa*sb**2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*&
                      Ten1102*aEW*cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca&
                      *sa*sb**2d0 - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*     &
                      Ten1103*aEW*cMHH**2d0*(-ca**2d0*cb*sb + ca*cb**2d0*sa -  &
                      ca*sa*sb**2d0 + cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*   &
                      Ten1104*aEW*cMHL**2d0*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca&
                      *sa*sb**2d0 - cb*sa**2d0*sb)/(cw**2d0*sw**2d0) + pi*     &
                      Ten1105*aEW*cMHA**2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa&
                      **2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1106*aEW*cMHC**2d0* &
                      cb*sb*(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/sw**2d0 + 2d0* &
                      pi*Ten1107*aEW*cMHC**2d0*cb*sb*(ca**2d0*sb**2d0 - cb**2d0&
                      *sa**2d0)/sw**2d0 + 4d0*pi*Ten1108*aEW*cMW**2d0*cb*sb*(  &
                      cMHH**2d0*ca**2d0*cb**2d0 - cMHH**2d0*sa**2d0*sb**2d0 -  &
                      2d0*cMW**2d0*ca**2d0*cb**2d0 + 2d0*cMW**2d0*sa**2d0*sb** &
                      2d0)/(cMHH**2d0*sw**2d0) + pi*Ten1109*aEW*cMHA**2d0*cb*sb&
                      *(ca**2d0*sb**2d0 - cb**2d0*sa**2d0)/(cw**2d0*sw**2d0) + &
                      2d0*pi*Ten1110*aEW*cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0*cb**&
                      2d0*cw**2d0 - cMHH**2d0*cw**2d0*sa**2d0*sb**2d0 - 2d0*cMW&
                      **2d0*ca**2d0*cb**2d0 + 2d0*cMW**2d0*sa**2d0*sb**2d0)/(  &
                      cMHH**2d0*cw**6d0*sw**2d0) + pi*Ten1111*aEW*cMHA**2d0*cb*&
                      sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/(cw**2d0*sw**2d0 &
                      ) + 2d0*pi*Ten1112*aEW*cMHC**2d0*cb*sb*(-ca**2d0*cb**2d0 &
                       + sa**2d0*sb**2d0)/sw**2d0 + 2d0*pi*Ten1113*aEW*cMHC**  &
                      2d0*cb*sb*(-ca**2d0*cb**2d0 + sa**2d0*sb**2d0)/sw**2d0 + &
                      4d0*pi*Ten1114*aEW*cMW**2d0*cb*sb*(-cMHL**2d0*ca**2d0*sb &
                      **2d0 + cMHL**2d0*cb**2d0*sa**2d0 + 2d0*cMW**2d0*ca**2d0*&
                      sb**2d0 - 2d0*cMW**2d0*cb**2d0*sa**2d0)/(cMHL**2d0*sw**  &
                      2d0) + pi*Ten1115*aEW*cMHA**2d0*cb*sb*(-ca**2d0*cb**2d0  &
                       + sa**2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1116*  &
                      aEW*cMW**2d0*cb*sb*(-cMHL**2d0*ca**2d0*cw**2d0*sb**2d0 + &
                      cMHL**2d0*cb**2d0*cw**2d0*sa**2d0 + 2d0*cMW**2d0*ca**2d0*&
                      sb**2d0 - 2d0*cMW**2d0*cb**2d0*sa**2d0)/(cMHL**2d0*cw**  &
                      6d0*sw**2d0) + 4d0*pi*Ten1117*aEW*cb*sb*(cMHH**2d0*cMHL**&
                      2d0*ca**2d0*cb**2d0 + cMHH**2d0*cMHL**2d0*ca**2d0*sb**2d0&
                       + cMHH**2d0*cMHL**2d0*cb**2d0*sa**2d0 + cMHH**2d0*cMHL**&
                      2d0*sa**2d0*sb**2d0 - cMHH**2d0*cMHL**2d0 + 2d0*cMHH**2d0&
                      *cMW**2d0*ca**2d0 - 2d0*cMHH**2d0*cMW**2d0*cb**2d0 - 2d0*&
                      cMHL**2d0*cMW**2d0*ca**2d0*cb**2d0 + 2d0*cMHL**2d0*cMW** &
                      2d0*sa**2d0*sb**2d0)/(cMHH**2d0*cMHL**2d0*sw**2d0) + 4d0*&
                      pi*Ten1118*aEW*cMW**2d0*cb*sb*(cMHH**2d0*ca**2d0 - cMHH**&
                      2d0*cb**2d0 - cMHL**2d0*cb**2d0 + cMHL**2d0*sa**2d0)/(   &
                      cMHH**2d0*cMHL**2d0*cw**4d0*sw**2d0) + pi*Ten1119*aEW*(- &
                      2d0*ca*cb**2d0*sa + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/( &
                      cw**2d0*sw**2d0) + pi*Ten1120*aEW*(2d0*ca*cb**2d0*sa - ca&
                      *sa + 2d0*cb*sa**2d0*sb - cb*sb)/(cw**2d0*sw**2d0) + pi* &
                      Ten1121*aEW*cb*sb*(-ca**2d0*sb**2d0 + cb**2d0*sa**2d0)/( &
                      cw**2d0*sw**2d0) + 2d0*pi*Ten1122*aEW*cb*sb*(-ca**2d0*sb &
                      **2d0 + cb**2d0*sa**2d0)/sw**2d0 + 2d0*pi*Ten1123*aEW*cb*&
                      sb*(-ca**2d0*sb**2d0 + cb**2d0*sa**2d0)/sw**2d0 + 4d0*pi*&
                      Ten1124*aEW*cb*sb*(-cMHH**2d0*ca**2d0*cb**2d0 + cMHH**2d0&
                      *sa**2d0*sb**2d0 + 2d0*cMW**2d0*ca**2d0*cb**2d0 - 2d0*cMW&
                      **2d0*sa**2d0*sb**2d0)/(cMHH**2d0*sw**2d0) + pi*Ten1125* &
                      aEW*cb*sb*(-ca**2d0*sb**2d0 + cb**2d0*sa**2d0)/(cw**2d0* &
                      sw**2d0) + 2d0*pi*Ten1126*aEW*cb*sb*(-cMHH**2d0*ca**2d0* &
                      cb**2d0*cw**2d0 + cMHH**2d0*cw**2d0*sa**2d0*sb**2d0 + 2d0&
                      *cMW**2d0*ca**2d0*cb**2d0 - 2d0*cMW**2d0*sa**2d0*sb**2d0 &
                      )/(cMHH**2d0*cw**4d0*sw**2d0) + pi*Ten1127*aEW*cb*sb*(ca &
                      **2d0*cb**2d0 - sa**2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*&
                      pi*Ten1128*aEW*cb*sb*(ca**2d0*cb**2d0 - sa**2d0*sb**2d0)/&
                      sw**2d0 + 2d0*pi*Ten1129*aEW*cb*sb*(ca**2d0*cb**2d0 - sa &
                      **2d0*sb**2d0)/sw**2d0 + 4d0*pi*Ten1130*aEW*cb*sb*(cMHL**&
                      2d0*ca**2d0*sb**2d0 - cMHL**2d0*cb**2d0*sa**2d0 - 2d0*cMW&
                      **2d0*ca**2d0*sb**2d0 + 2d0*cMW**2d0*cb**2d0*sa**2d0)/(  &
                      cMHL**2d0*sw**2d0) + pi*Ten1131*aEW*cb*sb*(ca**2d0*cb**  &
                      2d0 - sa**2d0*sb**2d0)/(cw**2d0*sw**2d0) + 2d0*pi*Ten1132&
                      *aEW*cb*sb*(cMHL**2d0*ca**2d0*cw**2d0*sb**2d0 - cMHL**2d0&
                      *cb**2d0*cw**2d0*sa**2d0 - 2d0*cMW**2d0*ca**2d0*sb**2d0  &
                       + 2d0*cMW**2d0*cb**2d0*sa**2d0)/(cMHL**2d0*cw**4d0*sw** &
                      2d0) + pi*Ten411*aEW*(2d0*ca*cb**2d0*sa - ca*sa + 2d0*cb*&
                      sa**2d0*sb - cb*sb)/(cw**2d0*sw**2d0) + pi*Ten412*aEW*(- &
                      2d0*ca*cb**2d0*sa + ca*sa - 2d0*cb*sa**2d0*sb + cb*sb)/( &
                      cw**2d0*sw**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS_Hvv_2N_db_QED2 = cone*real(OS_Hvv_2N_db_QED2,kind=dp)
    end if 
end subroutine set_ctparameter87
end module ctparameter87
